﻿$ErrorActionPreference = 'Stop'; # stop on all errors

$packageName= 'glaryutilities-free' # arbitrary name for the package, used in messages
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'http://download.glarysoft.com/gu5setup.exe'
$checksum    = '0a38a65c8dd0081b3b81c9501b7937b7ce372c0fdd6c1cf42b2cfe78259b0dd2'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url

  softwareName  = 'Glary Utilities'

  checksum       = $checksum
  checksum64     = $checksum
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  
  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/S  /NORESTART '
}

Install-ChocolateyPackage @packageArgs
